Share via


Table Resources - Migrate Table To Autoscale

Migrate an Azure Cosmos DB Table from manual throughput to autoscale

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/databaseAccounts/{accountName}/tables/{tableName}/throughputSettings/default/migrateToAutoscale?api-version=2025-10-15

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 50
pattern: ^[a-z0-9]+(-[a-z0-9]+)*

Cosmos DB database account name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

tableName
path True

string

Cosmos DB table name.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ThroughputSettingsGetResults

The Table migrate operation was completed successfully.

202 Accepted

The Table migrate operation will complete asynchronously.

Headers

  • azure-AsyncOperation: string
  • location: string
Other Status Codes

CloudError

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation Impersonate your user account

Examples

CosmosDBTableMigrateToAutoscale

Sample request

POST https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.DocumentDB/databaseAccounts/ddb1/tables/tableName/throughputSettings/default/migrateToAutoscale?api-version=2025-10-15

Sample response

{
  "properties": {
    "resource": {
      "throughput": 400,
      "autoscaleSettings": {
        "maxThroughput": 4000
      },
      "minimumThroughput": "4000",
      "offerReplacePending": "false",
      "_rid": "PD5DALigDgw=",
      "_ts": 1459200611,
      "_etag": "\"00005900-0000-0000-0000-56f9a2630000\""
    }
  }
}
Location: https://centraluseuap.management.azure.com/subscriptions/d1eb41bc-1b7f-4404-bd2a-8568c222852d/providers/Microsoft.DocumentDB/locations/centraluseuap/operationsStatus/fdd04b7b-86d5-460f-b19e-386230348bcc?api-version=2025-10-15
Azure-AsyncOperation: https://centraluseuap.management.azure.com/subscriptions/d1eb41bc-1b7f-4404-bd2a-8568c222852d/providers/Microsoft.DocumentDB/locations/centraluseuap/operationsStatus/fdd04b7b-86d5-460f-b19e-386230348bcc?api-version=2025-10-15

Definitions

Name Description
AutoscaleSettingsResource

Cosmos DB provisioned throughput settings object

AutoUpgradePolicyResource

Cosmos DB resource auto-upgrade policy

CloudError

An error response from the service.

ErrorResponse

Error Response.

Resource
ThroughputPolicyResource

Cosmos DB resource throughput policy

ThroughputSettingsGetResults

An Azure Cosmos DB resource throughput.

AutoscaleSettingsResource

Cosmos DB provisioned throughput settings object

Name Type Description
autoUpgradePolicy

AutoUpgradePolicyResource

Cosmos DB resource auto-upgrade policy

maxThroughput

integer

Represents maximum throughput container can scale up to.

targetMaxThroughput

integer

Represents target maximum throughput container can scale up to once offer is no longer in pending state.

AutoUpgradePolicyResource

Cosmos DB resource auto-upgrade policy

Name Type Description
throughputPolicy

ThroughputPolicyResource

Represents throughput policy which service must adhere to for auto-upgrade

CloudError

An error response from the service.

Name Type Description
error

ErrorResponse

Error Response.

ErrorResponse

Error Response.

Name Type Description
code

string

Error code.

message

string

Error message indicating why the operation failed.

Resource

Name Type Description
_etag

string

A system generated property representing the resource etag required for optimistic concurrency control.

_rid

string

A system generated property. A unique identifier.

_ts

number

A system generated property that denotes the last updated timestamp of the resource.

autoscaleSettings

AutoscaleSettingsResource

Cosmos DB resource for autoscale settings. Either throughput is required or autoscaleSettings is required, but not both.

instantMaximumThroughput

string

The offer throughput value to instantly scale up without triggering splits

minimumThroughput

string

The minimum throughput of the resource

offerReplacePending

string

The throughput replace is pending

softAllowedMaximumThroughput

string

The maximum throughput value or the maximum maxThroughput value (for autoscale) that can be specified

throughput

integer

Value of the Cosmos DB resource throughput. Either throughput is required or autoscaleSettings is required, but not both.

ThroughputPolicyResource

Cosmos DB resource throughput policy

Name Type Description
incrementPercent

integer

Represents the percentage by which throughput can increase every time throughput policy kicks in.

isEnabled

boolean

Determines whether the ThroughputPolicy is active or not

ThroughputSettingsGetResults

An Azure Cosmos DB resource throughput.

Name Type Description
id

string

The unique resource identifier of the ARM resource.

location

string

The location of the resource group to which the resource belongs.

name

string

The name of the ARM resource.

properties.resource

Resource

tags

object

Tags are a list of key-value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key no greater than 128 characters and value no greater than 256 characters. For example, the default experience for a template type is set with "defaultExperience": "Cassandra". Current "defaultExperience" values also include "Table", "Graph", "DocumentDB", and "MongoDB".

type

string

The type of Azure resource.